

#include "io_interface.h"
#include <stdio.h>

uint8_t error;
uint8_t ready;
uint8_t out;
uint16_t diag;


extern IO_DATA *pTestdata;
extern uint8_t testpatternIdx;

void setDiag(uint16_t code){
  diag = code;
}

uint16_t getDiag(void){
	return diag;
}

void setError(BOOL_T value){
  error = value;
}

BOOL_T getError(void){
	return error;
}

void setReady(BOOL_T flag){
  ready = flag;
}

BOOL_T getReady(){
	return ready;
}

SAFEBOOL_T getS_ChannelA(void){
  return pTestdata->a;
}


SAFEBOOL_T getS_ChannelB(void){
  return pTestdata->b;
}

BOOL_T getEnable(void){
  return pTestdata->enable;
}

void setS_EquivalentOut(SAFEBOOL_T value){
  out = value;
}

SAFEBOOL_T getS_EquivalentOut(void){
	return out;
}

void printIOIn(void){

  printf("Enable: %d\n",pTestdata->enable);
  printf("A:      %d\n",pTestdata->a);
  printf("B:      %d\n",pTestdata->b);
}

void printIOOut(void){
  printf("Ready:  %d\n",ready);
  printf("Out     %d\n",out);
  printf("Error:  %d\n",error);
  printf("Diag: 0x%x\n",diag);
}
